<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>expressionParsing &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>expressionParsing
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">27 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/parse.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/parse.f03.html'>parse.f03</a></li>
    
     <li><a href='../module/parsefromfile.html'>parseFromFile</a></li>
    
  
     <li class="active">expressionParsing</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine expressionParsing(func, Q, nComp)
    
    
   
</h2>
    
  


    
    <p>expressionParsing converts a string into a real array of values.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-func%7E5"></span>character</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>func</strong></td><td><p>expression parsed from the boundary condition file</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-q%7E2"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>Q</strong>(numberOfElements,nComp)</td><td><p>parsed expression turned into an array</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ncomp%7E42"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nComp</strong></td><td><p>number of componets</p></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~expressionparsing~~CallsGraph Pages: 1 -->
<svg id="procexpressionparsingCallsGraph" width="641pt" height="104pt"
 viewBox="0.00 0.00 641.00 103.72" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~expressionparsing~~CallsGraph" class="graph" transform="scale(.5186 .5186) rotate(0) translate(4 196)">
<title>proc~~expressionparsing~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 1232,-196 1232,4 -4,4"/>
<!-- proc~expressionparsing -->
<g id="proc~~expressionparsing~~CallsGraph_node1" class="node">
<title>proc~expressionparsing</title>
<polygon fill="none" stroke="#000000" points="99,-66 0,-66 0,-42 99,-42 99,-66"/>
<text text-anchor="middle" x="49.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">expressionParsing</text>
</g>
<!-- proc~getexprvalue -->
<g id="proc~~expressionparsing~~CallsGraph_node2" class="node">
<title>proc~getexprvalue</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node2"><a xlink:href=".././proc/getexprvalue.html" xlink:title="getExprValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="211,-108 135,-108 135,-84 211,-84 211,-108"/>
<text text-anchor="middle" x="173" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getExprValue</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~getexprvalue -->
<g id="proc~~expressionparsing~~CallsGraph_edge1" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M84.8901,-66.0355C98.3259,-70.6048 113.8114,-75.8711 128.0162,-80.7019"/>
<polygon fill="#000000" stroke="#000000" points="127.0103,-84.0566 137.6047,-83.9627 129.2641,-77.4293 127.0103,-84.0566"/>
</g>
<!-- proc~split_in_array -->
<g id="proc~~expressionparsing~~CallsGraph_node3" class="node">
<title>proc~split_in_array</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node3"><a xlink:href=".././proc/split_in_array.html" xlink:title="split_in_array">
<polygon fill="#d9534f" stroke="#d9534f" points="211,-45 135,-45 135,-21 211,-21 211,-45"/>
<text text-anchor="middle" x="173" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">split_in_array</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~split_in_array -->
<g id="proc~~expressionparsing~~CallsGraph_edge2" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M99.0206,-45.5795C107.5127,-44.1355 116.3263,-42.6368 124.7837,-41.1987"/>
<polygon fill="#000000" stroke="#000000" points="125.6059,-44.6092 134.8776,-39.4823 124.4324,-37.7083 125.6059,-44.6092"/>
</g>
<!-- proc~destroyfunc -->
<g id="proc~~expressionparsing~~CallsGraph_node4" class="node">
<title>proc~destroyfunc</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node4"><a xlink:href=".././proc/destroyfunc.html" xlink:title="destroyfunc">
<polygon fill="#d9534f" stroke="#d9534f" points="320,-192 253,-192 253,-168 320,-168 320,-192"/>
<text text-anchor="middle" x="286.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">destroyfunc</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~destroyfunc -->
<g id="proc~~expressionparsing~~CallsGraph_edge6" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~destroyfunc</title>
<path fill="none" stroke="#000000" d="M185.4185,-108.0469C199.5978,-121.4401 223.8358,-143.2557 247,-159 248.8788,-160.277 250.844,-161.5363 252.8512,-162.7654"/>
<polygon fill="#000000" stroke="#000000" points="251.3729,-165.9533 261.7835,-167.9207 254.872,-159.8906 251.3729,-165.9533"/>
</g>
<!-- proc~evaluate -->
<g id="proc~~expressionparsing~~CallsGraph_node5" class="node">
<title>proc~evaluate</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node5"><a xlink:href=".././proc/evaluate.html" xlink:title="evaluate">
<polygon fill="#d94e8f" stroke="#d94e8f" points="313.5,-150 259.5,-150 259.5,-126 313.5,-126 313.5,-150"/>
<text text-anchor="middle" x="286.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">evaluate</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~evaluate -->
<g id="proc~~expressionparsing~~CallsGraph_edge4" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~evaluate</title>
<path fill="none" stroke="#000000" d="M205.5245,-108.0355C219.3627,-113.1562 235.5666,-119.1524 249.8284,-124.4299"/>
<polygon fill="#000000" stroke="#000000" points="248.7456,-127.7611 259.3387,-127.9491 251.1749,-121.1961 248.7456,-127.7611"/>
</g>
<!-- proc~init -->
<g id="proc~~expressionparsing~~CallsGraph_node6" class="node">
<title>proc~init</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node6"><a xlink:href=".././proc/init.html" xlink:title="init">
<polygon fill="#d9534f" stroke="#d9534f" points="313.5,-108 259.5,-108 259.5,-84 313.5,-84 313.5,-108"/>
<text text-anchor="middle" x="286.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">init</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~init -->
<g id="proc~~expressionparsing~~CallsGraph_edge5" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~init</title>
<path fill="none" stroke="#000000" d="M211.1096,-96C223.3628,-96 236.9202,-96 249.1204,-96"/>
<polygon fill="#000000" stroke="#000000" points="249.4255,-99.5001 259.4255,-96 249.4254,-92.5001 249.4255,-99.5001"/>
</g>
<!-- flubiostopmsg -->
<g id="proc~~expressionparsing~~CallsGraph_node8" class="node">
<title>flubiostopmsg</title>
<polygon fill="#777777" stroke="#777777" points="326,-66 247,-66 247,-42 326,-42 326,-66"/>
<text text-anchor="middle" x="286.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostopmsg</text>
</g>
<!-- proc~getexprvalue&#45;&gt;flubiostopmsg -->
<g id="proc~~expressionparsing~~CallsGraph_edge3" class="edge">
<title>proc~getexprvalue&#45;&gt;flubiostopmsg</title>
<path fill="none" stroke="#000000" d="M205.5245,-83.9645C217.635,-79.4831 231.5573,-74.3312 244.4041,-69.5773"/>
<polygon fill="#000000" stroke="#000000" points="245.8069,-72.7903 253.9707,-66.0373 243.3775,-66.2253 245.8069,-72.7903"/>
</g>
<!-- proc~lower -->
<g id="proc~~expressionparsing~~CallsGraph_node7" class="node">
<title>proc~lower</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node7"><a xlink:href=".././proc/lower.html" xlink:title="lower">
<polygon fill="#d94e8f" stroke="#d94e8f" points="313.5,-24 259.5,-24 259.5,0 313.5,0 313.5,-24"/>
<text text-anchor="middle" x="286.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lower</text>
</a>
</g>
</g>
<!-- proc~split_in_array&#45;&gt;proc~lower -->
<g id="proc~~expressionparsing~~CallsGraph_edge7" class="edge">
<title>proc~split_in_array&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M211.1096,-25.9489C223.4865,-23.6589 237.1942,-21.1227 249.4896,-18.8477"/>
<polygon fill="#000000" stroke="#000000" points="250.2292,-22.2704 259.4255,-17.0094 248.9556,-15.3872 250.2292,-22.2704"/>
</g>
<!-- proc~identifica -->
<g id="proc~~expressionparsing~~CallsGraph_node9" class="node">
<title>proc~identifica</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node9"><a xlink:href=".././proc/identifica.html" xlink:title="identifica">
<polygon fill="#d9534f" stroke="#d9534f" points="433.5,-189 378.5,-189 378.5,-165 433.5,-165 433.5,-189"/>
<text text-anchor="middle" x="406" y="-174.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">identifica</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~identifica -->
<g id="proc~~expressionparsing~~CallsGraph_edge11" class="edge">
<title>proc~init&#45;&gt;proc~identifica</title>
<path fill="none" stroke="#000000" d="M312.3538,-108.1234C317.071,-110.7808 321.8182,-113.7745 326,-117 344.6784,-131.4071 343.0138,-142.0011 362,-156 364.2993,-157.6953 366.7571,-159.3086 369.2916,-160.8321"/>
<polygon fill="#000000" stroke="#000000" points="367.6345,-163.915 378.0856,-165.6541 371.0001,-157.7772 367.6345,-163.915"/>
</g>
<!-- proc~blanks -->
<g id="proc~~expressionparsing~~CallsGraph_node10" class="node">
<title>proc~blanks</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node10"><a xlink:href=".././proc/blanks.html" xlink:title="blanks">
<polygon fill="#d9534f" stroke="#d9534f" points="433,-129 379,-129 379,-105 433,-105 433,-129"/>
<text text-anchor="middle" x="406" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">blanks</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~blanks -->
<g id="proc~~expressionparsing~~CallsGraph_edge10" class="edge">
<title>proc~init&#45;&gt;proc~blanks</title>
<path fill="none" stroke="#000000" d="M313.6164,-100.7652C329.9647,-103.6382 351.0149,-107.3373 368.8916,-110.4789"/>
<polygon fill="#000000" stroke="#000000" points="368.536,-113.9699 378.9909,-112.2536 369.7476,-107.0756 368.536,-113.9699"/>
</g>
<!-- proc~recog_variables -->
<g id="proc~~expressionparsing~~CallsGraph_node11" class="node">
<title>proc~recog_variables</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node11"><a xlink:href=".././proc/recog_variables.html" xlink:title="recog_variables">
<polygon fill="#d9534f" stroke="#d9534f" points="450,-87 362,-87 362,-63 450,-63 450,-87"/>
<text text-anchor="middle" x="406" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">recog_variables</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~recog_variables -->
<g id="proc~~expressionparsing~~CallsGraph_edge9" class="edge">
<title>proc~init&#45;&gt;proc~recog_variables</title>
<path fill="none" stroke="#000000" d="M313.6164,-91.2348C324.9206,-89.2483 338.4728,-86.8667 351.6694,-84.5476"/>
<polygon fill="#000000" stroke="#000000" points="352.4053,-87.972 361.6486,-82.794 351.1937,-81.0777 352.4053,-87.972"/>
</g>
<!-- proc~convert_b -->
<g id="proc~~expressionparsing~~CallsGraph_node12" class="node">
<title>proc~convert_b</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node12"><a xlink:href=".././proc/convert_b.html" xlink:title="convert_b">
<polygon fill="#d9534f" stroke="#d9534f" points="436,-45 376,-45 376,-21 436,-21 436,-45"/>
<text text-anchor="middle" x="406" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">convert_b</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~convert_b -->
<g id="proc~~expressionparsing~~CallsGraph_edge8" class="edge">
<title>proc~init&#45;&gt;proc~convert_b</title>
<path fill="none" stroke="#000000" d="M309.5585,-83.9372C314.9741,-81.05 320.7081,-77.9487 326,-75 342.1809,-65.9839 345.6275,-62.6633 362,-54 364.7541,-52.5427 367.626,-51.0702 370.5248,-49.6172"/>
<polygon fill="#000000" stroke="#000000" points="372.3283,-52.631 379.7644,-45.0841 369.245,-46.3466 372.3283,-52.631"/>
</g>
<!-- proc~blanks&#45;&gt;proc~blanks -->
<g id="proc~~expressionparsing~~CallsGraph_edge12" class="edge">
<title>proc~blanks&#45;&gt;proc~blanks</title>
<path fill="none" stroke="#000000" d="M386.4894,-129.0139C379.6761,-137.9717 386.1797,-147 406,-147 418.078,-147 425.211,-143.6474 427.3989,-139.0013"/>
<polygon fill="#000000" stroke="#000000" points="430.8076,-138.1896 425.5106,-129.0139 423.9294,-139.4901 430.8076,-138.1896"/>
</g>
<!-- proc~tokens_analyzer -->
<g id="proc~~expressionparsing~~CallsGraph_node13" class="node">
<title>proc~tokens_analyzer</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node13"><a xlink:href=".././proc/tokens_analyzer.html" xlink:title="tokens_analyzer">
<polygon fill="#d9534f" stroke="#d9534f" points="577,-87 486,-87 486,-63 577,-63 577,-87"/>
<text text-anchor="middle" x="531.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tokens_analyzer</text>
</a>
</g>
</g>
<!-- proc~recog_variables&#45;&gt;proc~tokens_analyzer -->
<g id="proc~~expressionparsing~~CallsGraph_edge13" class="edge">
<title>proc~recog_variables&#45;&gt;proc~tokens_analyzer</title>
<path fill="none" stroke="#000000" d="M450.2466,-75C458.4747,-75 467.169,-75 475.6904,-75"/>
<polygon fill="#000000" stroke="#000000" points="475.956,-78.5001 485.9559,-75 475.9559,-71.5001 475.956,-78.5001"/>
</g>
<!-- proc~add_sub -->
<g id="proc~~expressionparsing~~CallsGraph_node14" class="node">
<title>proc~add_sub</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node14"><a xlink:href=".././proc/add_sub.html" xlink:title="add_sub">
<polygon fill="#d9534f" stroke="#d9534f" points="667,-87 613,-87 613,-63 667,-63 667,-87"/>
<text text-anchor="middle" x="640" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">add_sub</text>
</a>
</g>
</g>
<!-- proc~tokens_analyzer&#45;&gt;proc~add_sub -->
<g id="proc~~expressionparsing~~CallsGraph_edge14" class="edge">
<title>proc~tokens_analyzer&#45;&gt;proc~add_sub</title>
<path fill="none" stroke="#000000" d="M577.1993,-75C585.7508,-75 594.593,-75 602.8471,-75"/>
<polygon fill="#000000" stroke="#000000" points="602.9215,-78.5001 612.9215,-75 602.9215,-71.5001 602.9215,-78.5001"/>
</g>
<!-- selectcase -->
<g id="proc~~expressionparsing~~CallsGraph_node15" class="node">
<title>selectcase</title>
<polygon fill="#777777" stroke="#777777" points="856,-128 793,-128 793,-104 856,-104 856,-128"/>
<text text-anchor="middle" x="824.5" y="-113.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">selectcase</text>
</g>
<!-- proc~add_sub&#45;&gt;selectcase -->
<g id="proc~~expressionparsing~~CallsGraph_edge15" class="edge">
<title>proc~add_sub&#45;&gt;selectcase</title>
<path fill="none" stroke="#000000" d="M667.012,-85.0509C678.0539,-88.8838 691.0246,-93.0383 703,-96 729.2121,-102.4826 759.136,-107.437 782.728,-110.7931"/>
<polygon fill="#000000" stroke="#000000" points="782.3681,-114.2765 792.753,-112.1778 783.326,-107.3424 782.3681,-114.2765"/>
</g>
<!-- proc~mul_div -->
<g id="proc~~expressionparsing~~CallsGraph_node16" class="node">
<title>proc~mul_div</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node16"><a xlink:href=".././proc/mul_div.html" xlink:title="mul_div">
<polygon fill="#d9534f" stroke="#d9534f" points="757,-87 703,-87 703,-63 757,-63 757,-87"/>
<text text-anchor="middle" x="730" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mul_div</text>
</a>
</g>
</g>
<!-- proc~add_sub&#45;&gt;proc~mul_div -->
<g id="proc~~expressionparsing~~CallsGraph_edge16" class="edge">
<title>proc~add_sub&#45;&gt;proc~mul_div</title>
<path fill="none" stroke="#000000" d="M667.003,-75C675.0277,-75 683.9665,-75 692.5309,-75"/>
<polygon fill="#000000" stroke="#000000" points="692.7051,-78.5001 702.705,-75 692.705,-71.5001 692.7051,-78.5001"/>
</g>
<!-- proc~mul_div&#45;&gt;selectcase -->
<g id="proc~~expressionparsing~~CallsGraph_edge17" class="edge">
<title>proc~mul_div&#45;&gt;selectcase</title>
<path fill="none" stroke="#000000" d="M757.0799,-86.749C766.5034,-90.8375 777.2447,-95.4977 787.3411,-99.8781"/>
<polygon fill="#000000" stroke="#000000" points="786.1927,-103.1951 796.7595,-103.9645 788.9788,-96.7734 786.1927,-103.1951"/>
</g>
<!-- proc~unary -->
<g id="proc~~expressionparsing~~CallsGraph_node17" class="node">
<title>proc~unary</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node17"><a xlink:href=".././proc/unary.html" xlink:title="unary">
<polygon fill="#d9534f" stroke="#d9534f" points="851.5,-86 797.5,-86 797.5,-62 851.5,-62 851.5,-86"/>
<text text-anchor="middle" x="824.5" y="-71.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">unary</text>
</a>
</g>
</g>
<!-- proc~mul_div&#45;&gt;proc~unary -->
<g id="proc~~expressionparsing~~CallsGraph_edge18" class="edge">
<title>proc~mul_div&#45;&gt;proc~unary</title>
<path fill="none" stroke="#000000" d="M757.0799,-74.7134C766.471,-74.6141 777.1709,-74.5008 787.237,-74.3943"/>
<polygon fill="#000000" stroke="#000000" points="787.4538,-77.8923 797.4161,-74.2866 787.3796,-70.8927 787.4538,-77.8923"/>
</g>
<!-- proc~pow -->
<g id="proc~~expressionparsing~~CallsGraph_node18" class="node">
<title>proc~pow</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node18"><a xlink:href=".././proc/pow.html" xlink:title="pow">
<polygon fill="#d9534f" stroke="#d9534f" points="946,-86 892,-86 892,-62 946,-62 946,-86"/>
<text text-anchor="middle" x="919" y="-71.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">pow</text>
</a>
</g>
</g>
<!-- proc~unary&#45;&gt;proc~pow -->
<g id="proc~~expressionparsing~~CallsGraph_edge19" class="edge">
<title>proc~unary&#45;&gt;proc~pow</title>
<path fill="none" stroke="#000000" d="M851.5799,-74C860.971,-74 871.6709,-74 881.737,-74"/>
<polygon fill="#000000" stroke="#000000" points="881.9162,-77.5001 891.9161,-74 881.9161,-70.5001 881.9162,-77.5001"/>
</g>
<!-- proc~functions -->
<g id="proc~~expressionparsing~~CallsGraph_node19" class="node">
<title>proc~functions</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node19"><a xlink:href=".././proc/functions.html" xlink:title="functions">
<polygon fill="#d9534f" stroke="#d9534f" points="1037,-86 982,-86 982,-62 1037,-62 1037,-86"/>
<text text-anchor="middle" x="1009.5" y="-71.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">functions</text>
</a>
</g>
</g>
<!-- proc~pow&#45;&gt;proc~functions -->
<g id="proc~~expressionparsing~~CallsGraph_edge20" class="edge">
<title>proc~pow&#45;&gt;proc~functions</title>
<path fill="none" stroke="#000000" d="M946.153,-74C954.1482,-74 963.046,-74 971.5856,-74"/>
<polygon fill="#000000" stroke="#000000" points="971.7397,-77.5001 981.7397,-74 971.7397,-70.5001 971.7397,-77.5001"/>
</g>
<!-- proc~brackets -->
<g id="proc~~expressionparsing~~CallsGraph_node20" class="node">
<title>proc~brackets</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node20"><a xlink:href=".././proc/brackets.html" xlink:title="brackets">
<polygon fill="#d9534f" stroke="#d9534f" points="1127,-66 1073,-66 1073,-42 1127,-42 1127,-66"/>
<text text-anchor="middle" x="1100" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">brackets</text>
</a>
</g>
</g>
<!-- proc~functions&#45;&gt;proc~brackets -->
<g id="proc~~expressionparsing~~CallsGraph_edge21" class="edge">
<title>proc~functions&#45;&gt;proc~brackets</title>
<path fill="none" stroke="#000000" d="M1037.1447,-67.8907C1045.2895,-66.0907 1054.3359,-64.0915 1062.9692,-62.1836"/>
<polygon fill="#000000" stroke="#000000" points="1063.8264,-65.5787 1072.8355,-60.0032 1062.3158,-58.7436 1063.8264,-65.5787"/>
</g>
<!-- proc~brackets&#45;&gt;proc~add_sub -->
<g id="proc~~expressionparsing~~CallsGraph_edge22" class="edge">
<title>proc~brackets&#45;&gt;proc~add_sub</title>
<path fill="none" stroke="#000000" d="M1072.8123,-49.1074C1037.4913,-43.1865 973.8518,-34 919,-34 824.5,-34 824.5,-34 824.5,-34 772.3126,-34 713.7566,-49.8254 676.8889,-61.8123"/>
<polygon fill="#000000" stroke="#000000" points="675.4711,-58.5953 667.0888,-65.075 677.6824,-65.2369 675.4711,-58.5953"/>
</g>
<!-- proc~recog_vars -->
<g id="proc~~expressionparsing~~CallsGraph_node21" class="node">
<title>proc~recog_vars</title>
<g id="a_proc~~expressionparsing~~CallsGraph_node21"><a xlink:href=".././proc/recog_vars.html" xlink:title="recog_vars">
<polygon fill="#d9534f" stroke="#d9534f" points="1228,-66 1163,-66 1163,-42 1228,-42 1228,-66"/>
<text text-anchor="middle" x="1195.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">recog_vars</text>
</a>
</g>
</g>
<!-- proc~brackets&#45;&gt;proc~recog_vars -->
<g id="proc~~expressionparsing~~CallsGraph_edge23" class="edge">
<title>proc~brackets&#45;&gt;proc~recog_vars</title>
<path fill="none" stroke="#000000" d="M1127.111,-54C1135.1173,-54 1144.0822,-54 1152.8182,-54"/>
<polygon fill="#000000" stroke="#000000" points="1152.8973,-57.5001 1162.8973,-54 1152.8972,-50.5001 1152.8973,-57.5001"/>
</g>
</g>
</svg>
</div><script>var panprocexpressionparsingCallsGraph = svgPanZoom('#procexpressionparsingCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>